#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-KTZkdYxckYQ4yqXXtIGA0
key:                  coinbase-pro-0.9.3.2-KTZkdYxckYQ4yqXXtIGA0
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  e5686ce61ec1e0d83f655ef884bc2a90
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-KTZkdYxckYQ4yqXXtIGA0
depends:
    HsOpenSSL-0.11.7.6-KNIvrUDEuiH4cm255B9mRm
    aeson-2.1.2.1-ACNZHhH4U2e67aZXZDgTOb
    aeson-casing-0.2.0.0-IsOQ4BIWY1uGQTKOnUrAaE
    async-2.2.4-BdHoOnHsHdsApgNgZOPvuU base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-H3ycXu8E6RPDhrXk13rlsD exceptions-0.10.4
    http-api-data-0.5.1-6U3nmnE5ctu5xjV6XBbGqZ
    http-client-0.7.13.1-9tmUrTWAZB8Hz0kW9YfvHq
    http-client-tls-0.3.6.3-I2Ng3bGhti0HQwnidENkvw
    http-streams-0.8.9.8-JhATIX4ZRglG0KN6e8jvaL
    http-types-0.12.3-CKwNFfcu2XeJvEH85l7mxz
    io-streams-1.5.2.2-743Pc5r0DgkCVOhFEhliPz
    memory-0.17.0-Ba80JGdi30PBt5EgUiQ1Tu
    network-3.1.4.0-9Bfooq2NUZQBZiFYQuYMVQ
    servant-0.19.1-HDopAgfWjSE2lJAJhEvk04
    servant-client-0.19-IaQUHKh1vrpGgeQ0FYbLCi
    servant-client-core-0.19-9hdNDnV9i2aCeAMQSZUU10
    tasty-1.4.3-F66r8edLlMt1lhUHqLBudT
    tasty-hunit-0.10.0.3-Hv9MYE4cz52LcATrKAev1e text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unagi-streams-0.2.7-5HagJwlR8257FKZsK5PGX
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy
    uuid-1.3.15-LiCokX7zshi9w4pCEl5fVd
    vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2
    websockets-0.12.7.3-4I1C7FFQYwpDgXpBzeODu0
    wuss-2.0.1.1-8xDUEUxq4Ih2ejs2L9rFz8

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

